import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Asteroid here.
 * 
 * @author (Adhurim) 
 * @version (24/01/18)
 */
public class Trump extends Actor
{
    int SPEED = 1;
    public Trump() {
        int angle = Greenfoot.getRandomNumber(360);
        setRotation(angle);
    }

    
    /**
     * Act - do whatever the Asteroid wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        move(SPEED);
        if (getX() < 0) {
            setLocation(getWorld().getWidth(), getY());
            //moves from left side to right side and keeps the height the same
        }
        if (getX() > getWorld().getWidth()) {
            setLocation(0, getY());
            //moves from right side to left side and keeps the height the same
        }
        if (getY() < 0) {
            setLocation(getX(), getWorld().getHeight());
            //moves from left side to right side and keeps the height the same
        }
        if (getY() > getWorld().getHeight()) {
            setLocation(getX(), 0);
            //moves from right side to left side and keeps the height the same
        }
        
        Actor bob = getOneIntersectingObject(Bullet.class);
        
        //code below checks if asteroid is hit
        if (bob != null){
            Greenfoot.playSound("explosion.wav");
            
            getWorld().removeObject(bob); //removes the bullet called bob
            ((TrumpVsMayWorld)(getWorld())).score.add(50); //updates score
            getWorld().removeObject(this); //destroys asteroid
            //code above converts normal World into an AsteroidWorld through
            //typecasting so that we can access the score variable
        }
    }    
}
