import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class May here.
 * 
 * @author (Adhurim) 
 * @version (24/01/18)
 */
public class May extends Actor
{
    double dx;
    double dy;
    double SPEED = 0.3;
    int FIRE_SPEED = 18;
    int counter = 0;
    
    public void act() 
    {
        counter++;
        
        if (Greenfoot.isKeyDown("left") == true || Greenfoot.isKeyDown("A") == true){
            turn(-5);
        }
        else if (Greenfoot.isKeyDown("right") == true || Greenfoot.isKeyDown("D") == true){
            turn(5);
        }
        
        if (Greenfoot.isKeyDown("up") == true || Greenfoot.isKeyDown("W") == true){
            speedUp();
        }
        else if (Greenfoot.isKeyDown("down") == true || Greenfoot.isKeyDown("S") == true){
            slowDown();
        }
        
        if (counter >= FIRE_SPEED) {
            if (Greenfoot.isKeyDown("space") == true || Greenfoot.isKeyDown("K") == true){
            //bullet code below
            Greenfoot.playSound("bullet.wav");
            Bullet bullet = new Bullet(getRotation());
            getWorld().addObject(bullet, getX(), getY());
        }
        counter = 0;
    }
        
        setLocation((int)(getX() + dx), (int)(getY() + dy)); //are converted to integers
        
        //makes May appear on opposite side of screen
        if (getX() < 0) {
            setLocation(getWorld().getWidth(), getY());
            //moves from left side to right side and keeps the height the same
        }
        if (getX() > getWorld().getWidth()) {
            setLocation(0, getY());
            //moves from right side to left side and keeps the height the same
        }
        if (getY() < 0) {
            setLocation(getX(), getWorld().getHeight());
            //moves from left side to right side and keeps the height the same
        }
        if (getY() > getWorld().getHeight()) {
            setLocation(getX(), 0);
            //moves from right side to left side and keeps the height the same
        }
        
        Actor test1 = getOneIntersectingObject(Trump.class);
        
        if (test1 != null){
            Greenfoot.playSound("game-over-sound.mp3");
            GameOver gameOver = new GameOver();
            getWorld().addObject(gameOver, getWorld().getWidth()/2, getWorld().getHeight()/2);
            Greenfoot.stop();
        }
        
    }
    
    private void slowDown() {
        dx -= SPEED * Math.cos(Math.PI/180*getRotation());
        dy -= SPEED * Math.sin(Math.PI/180*getRotation());
    }

    private void speedUp() {
        dx += SPEED * Math.cos(Math.PI/180*getRotation());
        dy += SPEED * Math.sin(Math.PI/180*getRotation());        
    }
}
